import config from 's-i18n.config';
import Extractor from '../Extractor';

const ex = new Extractor(config);

test('it runs', () => {
  expect(ex.extractMessages()).toBe(true);
});

test('it extracts all messages', () => {
  let messages = ex.extractFromSource();
  expect(messages).toEqual({
    'Double quotes': '',
    'In a if': '',
    'Single quotes': '',
    'Using a {placeholder}': '',
    'Using {two} {placeholders}': '',
    "Using an escaped ' between single quotes": '',
    'Using escaped \'" between double quotes': '',
    'Extract me': '',
    'hello {user}': ''
  });
});
